require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")





L加载配置_一体化()

local sz野外地图名称="皆伐"

local 返回一次藏身处=0
local 使用一次Esc=1
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end
	

	--if 地图Ptr.位置==0	 then


	--	L信息("当前所在位置在野外.请先回城..")

	--else 
		-- if 地图Ptr.位置==2		then 
		-- 	返回一次藏身处=1
		
		-- elseif 地图Ptr.位置~=0	and	地图Ptr.位置~=2 	and	返回一次藏身处==1	then
		-- 	-- body
		-- 	L返回藏身处()
		-- 	L信息("返回藏身处...")
		-- 	goto Next
		-- end

	if 地图Ptr.位置==0		then 
		L返回城镇()
		
		goto Next
	end 
	if L自身藏身处()==1		then 
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end


		--L背包处理()
		-- if L执行个人物品转公会()==1			then --
		-- 	L信息("真正执行个人物品转公会仓库...")
		-- 	goto Next
		-- end 

		-- if L执行公会物品转个人()==1			then --
		-- 	L信息("真正执行公会物品转个人仓库...")
		-- 	goto Next
		-- end 
		L自动存入集市购买的物品()
	end


	if L自动集市购物()==2		then 
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end
	end
	
	--end

--	L设置探索地图(4)

::Next::

end


